Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Result

    java.lang.Object
      com.tonbeller.jpivot.olap.query.ResultBase
          com.tonbeller.jpivot.xmla.XMLA_Result

All Implemented Interfaces:
  Decorator, QueryResultHandler, Result, Visitable

    public class XMLA_Result

extends ResultBase
implements QueryResultHandler

Query Result XMLA

Field Summary

Fields inherited from class com.tonbeller.jpivot.olap.query.ResultBase
`aCells, axesList, model, slicer`

Constructor Summary
`XMLA_Result(XMLA_Model model, XMLA_SOAP soap, java.lang.String catalog, java.lang.String mdx)` Constructor
`XMLA_Result(XMLA_Model model, XMLA_SOAP soap, java.lang.String catalog, java.lang.String mdx, boolean drillthrough)`

Method Summary
`Axis[]` | `getAxes()` return the axes
`java.util.Map` | `getDrillHeader()`
`java.util.List` | `getDrillRows()`
`void` | `handleAxis(java.lang.String axisName, int axisOrdinal)` handle axis
`void` | `handleAxisInfo(java.lang.String axisName, int axisOrdinal)` handle AxisInfo tag
`void` | `handleCell(int iOrdinal, java.lang.Object value, java.lang.String fmtValue, java.lang.String fontSize)` handle Cell
`void` | `handleCellData()` handle Celldata , start of cell loop
`void` | `handleHierInfo(java.lang.String hierName, int axisOrdinal, int number)` handle HierarchyInfo tag add hierarchy to Axis beeing currently processed
`void` | `handleMember(java.lang.String uniqueName, java.lang.String caption, java.lang.String levUName, java.lang.String displayInfo, java.util.Map otherProps, int axisOrdinal, int positionOrdinal, int memberOrdinal)` handle member
`void` | `handleTuple(int axisOrdinal, int positionOrdinal)` handle Tuple
`void` | `setDrillHeader(java.util.Map drillHeader)` holds data for the drillthrough header
`void` | `setDrillRows(java.util.List drillRows)` sets the results for a drillthrough (is an arraylist of map)

Methods inherited from class com.tonbeller.jpivot.olap.query.ResultBase
`accept, getCells, getRootDecoree, getSlicer, hierarchize, isOverflowOccured, printOut, renderHtml, setOverflowOccured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_Result

    public XMLA_Result(XMLA_Model model,
                       XMLA_SOAP soap,
                       java.lang.String catalog,
                       java.lang.String mdx)
                throws OlapException

  Constructor

  Parameters:
    `model` - the associated MondrianModel
  Throws:
    `OlapException`

### XMLA_Result

    public XMLA_Result(XMLA_Model model,
                       XMLA_SOAP soap,
                       java.lang.String catalog,
                       java.lang.String mdx,
                       boolean drillthrough)
                throws OlapException

Throws:
  `OlapException`

Method Detail

### handleAxisInfo

    public void handleAxisInfo(java.lang.String axisName,
                               int axisOrdinal)

  handle AxisInfo tag

  Specified by:
    `handleAxisInfo` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleAxisInfo`

### handleHierInfo

    public void handleHierInfo(java.lang.String hierName,
                               int axisOrdinal,
                               int number)

  handle HierarchyInfo tag add hierarchy to Axis beeing currently processed

  Specified by:
    `handleHierInfo` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleHierInfo`

### handleAxis

    public void handleAxis(java.lang.String axisName,
                           int axisOrdinal)

  handle axis

  Specified by:
    `handleAxis` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleAxis(java.lang.String, int)`

### handleTuple

    public void handleTuple(int axisOrdinal,
                            int positionOrdinal)

  handle Tuple

  Specified by:
    `handleTuple` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleTuple`

### handleMember

    public void handleMember(java.lang.String uniqueName,
                             java.lang.String caption,
                             java.lang.String levUName,
                             java.lang.String displayInfo,
                             java.util.Map otherProps,
                             int axisOrdinal,
                             int positionOrdinal,
                             int memberOrdinal)

  handle member

  Specified by:
    `handleMember` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleMember`

### handleCellData

    public void handleCellData()

  handle Celldata , start of cell loop

  Specified by:
    `handleCellData` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleCellData()`

### handleCell

    public void handleCell(int iOrdinal,
                           java.lang.Object value,
                           java.lang.String fmtValue,
                           java.lang.String fontSize)

  handle Cell

  Specified by:
    `handleCell` in interface `QueryResultHandler`
  See Also:
    `com.tonbeller.bii.olap.model.QueryResultHandler#handleCell`

### getAxes

    public Axis[] getAxes()

  Description copied from interface: `Result`
  return the axes

  Specified by:
    `getAxes` in interface `Result`
  Specified by:
    `getAxes` in class `ResultBase`
  See Also:
    `Result.getAxes()`

### getDrillHeader

    public java.util.Map getDrillHeader()

  Returns:
    Returns the drillHeaders.

### setDrillHeader

    public void setDrillHeader(java.util.Map drillHeader)

  Description copied from interface: `QueryResultHandler`
  holds data for the drillthrough header

  Specified by:
    `setDrillHeader` in interface `QueryResultHandler`
  Parameters:
    `drillHeaders` - The drillHeaders to set.

### getDrillRows

    public java.util.List getDrillRows()

  Returns:
    Returns the drillRows.

### setDrillRows

    public void setDrillRows(java.util.List drillRows)

  Description copied from interface: `QueryResultHandler`
  sets the results for a drillthrough (is an arraylist of map)

  Specified by:
    `setDrillRows` in interface `QueryResultHandler`
  Parameters:
    `drillRows` - The drillRows to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD